process.chdir(__dirname);

const fs = require('fs');

fs.writeFileSync('pid.txt', process.pid.toString());

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${(config && typeof config.name === 'string') ? config.name.toUpperCase() : 'EVO-CP'}`;
process.title = global.KOMODO_LOG_LABEL;

const messagingClient = require('komodo-center-messaging-client-lib');
const transport = require('./lib/transport');

messagingClient.setTransport(transport);

require('./lib/apiserver');
require('./lib/webadmin');
